This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1257721 - Using the gdata provider, mis-interprets timezone, moving meeting to next day
Using the gdata provider, mis-interprets timezone, moving meeting to next day
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 14:58 EDT by Dimitris
Modified: 2016-07-19 13:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:41:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1199456 None None None Never

  None (edit)
Description Dimitris 2015-08-27 14:58:47 EDT
Description of problem:

Recurring google calendar meeting set for 0930-1000 US/Pacific time on Tuesdays and Thursdays, set up by user located in Singapore, displays in Lightning as same time but on Wednesdays and Fridays.

Meeting displays correctly on the web calendar view on Google.

Version-Release number of selected component (if applicable):

1.9-1.fc22

How reproducible:

Every time

Steps to Reproduce:
1. .sg user sets up meeting, recurring, Tue+Thu, 0930-1000 US/Pacific
2. Sync calendar in Lightning.
3. Meeting displays for Wed/Fri, but otherwise "correct" time, in Lightning.

Actual results:

Correct time, date offset by one.

Expected results:

Correct time and date.

Additional info:

thunderbird-lightning-gdata-1.9-1.fc22.x86_64 installed via dnf, not from addons.mozilla.org.
Comment 1 Orion Poplawski 2015-08-27 15:42:37 EDT
This is part of the main thunderbird package now.  You also will get more help if you file upstream:

https://bugzilla.mozilla.org/enter_bug.cgi?format=guided#h=dupes|Calendar

And you might check this list first:

https://bugzilla.mozilla.org/buglist.cgi?quicksearch=%3Acalendar%20google&list_id=12506634
Comment 2 Dimitris 2015-08-28 00:23:21 EDT
The version in F22 seems to be several releases behind the latest upstream btw.
Comment 3 Orion Poplawski 2015-08-28 11:04:54 EDT
We package whatever upstream puts into the now combined TB/Lightning releases so that's in their court.
Comment 4 Fedora End Of Life 2016-07-19 13:41:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.